Skip to main content
`Ctrl`+`K`

# PetscDeviceContextViewFromOptions

View a `PetscDeviceContext` from options

## Synopsis

    #include <petscdevice.h>
    PetscErrorCode PetscDeviceContextViewFromOptions(PetscDeviceContext dctx, PetscObject obj, const char name[])

## Input Parameters

- dctx - The `PetscDeviceContext` to view

- obj - Optional `PetscObject` to associate (may be `NULL`)

- name - The command line option

## See Also

`PetscDeviceContextView()`, `PetscObjectViewFromOptions()`, `PetscDeviceContextCreate()`

## Level

beginner

## Location

src/sys/objects/device/interface/dcontext.cxx

Index of all Device routines
Table of Contents for all manual pages
Index of all manual pages